Get Onramp Exchange rate
curl --request POST \
--url https://sandbox-api.kotanipay.io/api/v3/rate/onramp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "KES",
"to": "USDT",
"fiatAmount": "0.85"
}
'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/rate/onramp"
payload = {
"from": "KES",
"to": "USDT",
"fiatAmount": "0.85"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({from: 'KES', to: 'USDT', fiatAmount: '0.85'})
};
fetch('https://sandbox-api.kotanipay.io/api/v3/rate/onramp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Available exchange rate.",
"data": {
"from": "USD",
"to": "EUR",
"value": "0.85",
"id": "1234567890",
"fiatAmount": "100",
"cryptoAmount": "100",
"transactionAmount": "100",
"fee": "100"
}
}{
"success": false,
"message": "Invalid API Key",
"data": {}
}Exchange Rates
Get Onramp Exchange Rate
An integrator can use this endpoint to get the exchange rate between two currencies
POST
/
api
/
v3
/
rate
/
onramp
Get Onramp Exchange rate
An integrator can use this endpoint to get the exchange rate between two currencies for onramp transactions.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
From currency
Available options:
KES, GHS, NGN, ZAR, ZAR, USD, XOF, ZMW, XAF, SLE, CDF, TZS, UGX, EGP, MWK, RWF, ETB, MZN, LSL, GNF, USDT, BTC, ETH, USDC Example:
"KES"
To currency
Available options:
CUSD, USDC, USDT, USDT0, USDGLO, CKES, CGHS, MSAT, ADA Example:
"USDT"
Rate value
Example:
"0.85"
⌘I